Loading...
Searching...
No Matches
OBFreeGridPoint Class Reference

`#include <openbabel/generic.h>`

## Public Member Functions

| OBFreeGridPoint ()
| OBFreeGridPoint (double x, double y, double z, double V)
| ~OBFreeGridPoint ()
double | GetX ()
double | GetY ()
double | GetZ ()
double | GetV ()
void | SetX (double x)
void | SetY (double y)
void | SetZ (double z)
void | SetV (double V)

## Protected Attributes

double | _x
double | _y
double | _z
double | _V

## Detailed Description

Helper class for OBFreeGrid Can hold a random coordinate and associated value.

## Constructor & Destructor Documentation

## OBFreeGridPoint() [1/2]

OBFreeGridPoint | ( |  | ) |

inline

## OBFreeGridPoint() [2/2]

OBFreeGridPoint | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | V )

inline

## ~OBFreeGridPoint()

~OBFreeGridPoint | ( |  | ) |

inline

## Member Function Documentation

## GetX()

double GetX | ( |  | ) |

inline

## GetY()

double GetY | ( |  | ) |

inline

## GetZ()

double GetZ | ( |  | ) |

inline

## GetV()

double GetV | ( |  | ) |

inline

## SetX()

void SetX | ( | double | x | ) |

inline

## SetY()

void SetY | ( | double | y | ) |

inline

## SetZ()

void SetZ | ( | double | z | ) |

inline

## SetV()

void SetV | ( | double | V | ) |

inline

## Member Data Documentation

## _x

double _x

protected

Referenced by GetX(), OBFreeGridPoint(), and SetX().

## _y

double _y

protected

Referenced by GetY(), OBFreeGridPoint(), and SetY().

## _z

double _z

protected

Referenced by GetZ(), OBFreeGridPoint(), and SetZ().

## _V

double _V

protected

Referenced by GetV(), OBFreeGridPoint(), and SetV().

The documentation for this class was generated from the following file:

- generic.h